---
title: Edge Developer Framework
weight: 2
description: Driving requirements for a platform
---

## Summary

The 'Edge Developer Framework' is both the project and the product we are working for. Out of the leading 'Portfolio Document' 
we derive requirements which are ought to be fulfilled by Platform Engineering. 

**This is our claim!**


## What are the specifications we know from the IPCEI-CIS Project Portfolio document

> Reference: IPCEI-CIS Project Portfolio
> Version 5.9, November 17, 2023

### DTAG´s IPCEI-CIS Project Portfolio (p.12)

e. Development of DTAG/TSI Edge Developer Framework

* Goal: All developed innovations must be accessible to developer communities in a **highly  user-friendly and easy way**

### Development of DTAG/TSI Edge Developer Framework (p.14)
| capability | major novelties |||
| -- | -- | -- | -- |
| e.1. Edge Developer full service framework (SDK + day1 +day2 support for edge installations) | Adaptive CI/CD pipelines for heterogeneous edge environments | Decentralized and self healing deployment and management | edge-driven monitoring and analytics |
| e.2. Built-in sustainability optimization in Edge developer framework | sustainability optimized edge-aware CI/CD tooling | sustainability-optimized configuration management | sustainability-optimized efficient deployment strategies |
| e.3. Sustainable-edge management-optimized user interface for edge developers | sustainability optimized User Interface | Ai-Enabled intelligent experience | AI/ML-based automated user experience testing and optimization |

### DTAG objectives & contributions (p.27)

DTAG will also focus on developing an easy-to-use **Edge Developer framework for software 
developers** to **manage the whole lifecycle of edge applications**, i.e. for **day-0-, day-1- and up to day-2-
operations**. With this DTAG will strongly enable the ecosystem building for the entire IPCEI-CIS edge to 
cloud continuum and ensure openness and accessibility for anyone or any company to make use and 
further build on the edge to cloud continuum. Providing the use of the tool framework via an open-source approach will further reduce entry barriers and enhance the openness and accessibility for anyone or 
any organization (see innovations e.).

### WP Deliverables (p.170)

e.1 Edge developer full-service framework

This tool set and related best practices and guidelines will **adapt, enhance and further innovate DevOps principles** and 
their related, necessary supporting technologies according to the specific requirements and constraints associated with edge or edge cloud development, in order to keep the healthy and balanced innovation path on both sides, 
the (software) development side and the operations side in the field of DevOps.

{{% pageinfo color="info" %}}
### What comes next?

[Next](../platforming/) we'll see how these requirements seem to be fulfilled by platforms!
{{% /pageinfo %}}
